
clear all
set more off


global meses "Enero Febrero Marzo Abril Mayo Junio Julio Agosto Septiembre Octubre Noviembre Diciembre"
tokenize $meses


forv ano = 2016/2018 {
forv i=1/12 {
capture confirm file "./00_files/01_source/01_walmart/Full/``i''-`ano'/``i''-`ano'.txt"
if _rc==0 {
 
 
	display  "``i''-`ano'/``i''-`ano'.txt"
	
	import delimited using "./00_files/01_source/01_walmart/Full/``i''-`ano'/``i''-`ano'.txt", clear delim("|") stringc(_all)


  
	forv i1 = 1/20 {
	if v1[`i1']=="TRX_DATE" {
	local i2 = `i1'
	}
	}

	drop if _n<=`i2'



	ren v1 date
	ren v2 trx_id 
	ren v3 store_id
	ren v4 bar_code
	ren v5 rut_doc
	ren v6 sales_raw
	ren v7 discount_amt
	ren v8 sales_final
	ren v9 quantity
	ren v10 quant_weight
	ren v11 customer_id
	
	destring sales_raw, force replace
	destring discount_amt, force replace
	destring sales_final, force replace
	destring quantity, force replace
	destring quant_weight, force replace
	
	compress	
	
	save "./00_files/02_intermediate/01_panel/monthly_data/`ano'_`i'.dta" ,replace


 
}
else {
display "file ``i''-`ano'/``i''-`ano' does not exist"
}
}
}







