
clear all
set more off

local true = 1

local y = 2015
local m = 5
local w = 1

while `true'==1 {

use "./00_files/02_intermediate/01_panel/monthly_data/`y'_`m'.dta", clear

gen day = date(date,"YMD")-20211

gen week = floor((day-1)/7)+1


keep if week==`w'

sum day
local minday = r(min)
local maxday = r(max)
local numobs = r(N) 

if (`maxday'-`minday' < 6 | `numobs'==0) & (`y'<=2017 | `m'<3  ) {

di "incomplete week"

local m = `m'+1
if `m'>12 {
local y = `y'+1
local m = 1
}

di "year `y' month `m'"

if (`y' > 2017 & `m' > 3 ) break

append using "./00_files/02_intermediate/01_panel/monthly_data/`y'_`m'.dta"
drop day week 

gen day = date(date,"YMD")-20211

gen week = floor((day-1)/7)+1


keep if week==`w'

sum day
local minday = r(min)
local maxday = r(max)
local numobs = r(N) 

if `maxday'-`minday' < 6 {

di "go back"

local m = `m'-1
if `m'<1 {
local y = `y'-1
local m = 12
}

}

}

compress

save "./00_files/02_intermediate/01_panel/weekly_data/w_`w'.dta", replace


local w = `w'+1

di "week: `w'"
di "month: `m'"
di "year: `y'"


}


