
clear all

data_censo=csvread('00_files/02_intermediate/03_consumers/temp/censusgeocode2income.csv'); 
geo_censo = data_censo(:,1:2);

data_direc=csvread('00_files/02_intermediate/03_consumers/temp/consumerpanel_direc.csv');
geo_direc = [data_direc(:,3),data_direc(:,2)];

T = delaunayn(geo_censo);

tic
[k,dist] = dsearchn(geo_censo,T,geo_direc);
toc


final_data = [data_direc,data_censo(k,2),data_censo(k,1),data_censo(k,3),dist];

T1 = array2table(final_data);
T1.Properties.VariableNames = {'rut','lat_direc','lon_direc','repeated_rut','lat_censo','lon_censo','income','dist_direc_senso'};
writetable(T1,'00_files/02_intermediate/03_consumers/temp/consumerpanel_direc_censo.csv','Delimiter',',','QuoteStrings',true)

