function [market_share, indiv_market_share,indiv_market_nest] = a06_ComputeMarketShare(delta, expmu, rho)

global bins_weights_micro market_x market_y index


expdelta = exp(delta/(1-rho));

num = repmat(expdelta, [1, length(expmu(1,:))]) .* expmu;
D_nests = (accumarray([market_x(:) market_y(:)],num(:)));
D_nests = D_nests(index);
sum_D = 1+(D_nests).^(1-rho);
indiv_market_share = num./((D_nests.^rho).*sum_D);
indiv_market_nest = num./(D_nests);

market_share =sum(bins_weights_micro.*indiv_market_share,2); 

end