
function [s_wide,s_g_wide,u] = a04_calculateShares(p_wide,E_cal_wide,E_sug_wide)

global M J N beta0_wide alpha_wide phi_cal_wide phi_sug_wide beta_fine_wide rho xi_j_wide xi_t_wide xi_s_wide xi_wide 

u = beta0_wide.*[ones(M*N,J),zeros(M*N,1)] -alpha_wide.*p_wide - phi_cal_wide.*E_cal_wide - phi_sug_wide.*E_sug_wide + beta_fine_wide + xi_j_wide + xi_t_wide + xi_s_wide + xi_wide;

temp = repmat(sum(exp(u(:,1:J)./(1-rho)),2),[1,J+1]);
sum_D = 1+temp.^(1-rho);
D_nests = [temp(:,1:J),ones(M*N,1)];

s_wide = exp(u./(1-rho))./((D_nests.^rho).*sum_D);
s_g_wide = exp(u./(1-rho))./(D_nests);

end





