

%% Recover costs from paralell estimation

path = './';

disp(' ')
addpath([path,'03_estimation/99_functions/'])
addpath([path,'03_estimation/02_supply/'])

disp('1. loading data..')
a01_loadData;

disp('2. defining variables..')
a02_exogenousVars;

disp(' ')

extracost_perweek_final = {zeros(J,max(week)),zeros(J,max(week)),zeros(J,max(week)),zeros(J,max(week)),zeros(J,max(week))};
fval_perweek_final = {zeros(J,max(week)),zeros(J,max(week)),zeros(J,max(week)),zeros(J,max(week)),zeros(J,max(week))};

Num = 0;

for j=1:94 
    
if isfile([path,'00_files/04_estimates/02_supply/temp/ind_cost_curve_prod_',int2str(j),'.mat'])
    Num = Num+1;
    display(['loading data from product: ',int2str(j)])
    
    load([path,'00_files/04_estimates/02_supply/temp/ind_cost_curve_prod_',int2str(j)]);
    
    for i = 1:5
        
        extracost_perweek_final{i}(j,:) = extracost_perweek{i}(j,:);
        fval_perweek_final{i}(j,:) = fval_perweek{i}(j,:);
        
    end
    
end
end
    
extracost_perweek = extracost_perweek_final;
fval_perweek = fval_perweek_final;

save([path,'00_files/04_estimates/02_supply/temp/ind_cost_curve'],'extracost_perweek','fval_perweek')

