
%% main sript

function [output] = a00_main(iter_full, nutrient_counterfactual)

path = '../../';
addpath([path,'04_counterfactuals/02_policyCounterfactuals/'])
addpath([path,'04_counterfactuals/98_simulation_codes/'])
addpath([path,'04_counterfactuals/99_functions/'])

global J M N nu_cal nu_sug p_ori_wide post_wide cal_wide exempted_wide sug_wide mu_cal_wide sigmamu_cal_wide mu_sug_wide sigmamu_sug_wide minerror c_wide ...
       minerror_final maxIter exempted product c Lambda C market_size_bins portion_size_bins week_product post market market_bin alpha Lambda_cal Lambda_sug nut_labeled price_nointervention xi_sum ...
       beta0 alpha_wide phi_cal_wide phi_sug_wide rho_wide xi_j_wide xi_t_wide xi_s_wide xi_wide firm_wide market_wide firm_structure  weights_wide exemption_mode ...
       rho market_ind market_size_wide portion_size_wide week_wide data_product product_wide week_firm beta0_wide beta_fine_wide nu_prod exepmted_prod smoot_vars

iter = floor((iter_full-1)/6)+1;
sim_bin = iter_full-(iter-1)*6;
   
rng(iter)

warning('off','MATLAB:nearlySingularMatrix')


nut_labeled = nutrient_counterfactual; %calories/sugar/both
smoot_vars = "yes";
exemption_mode = 'no'; %no/yes 

W = 23;
mincal = 240;
maxcal = 460;
minsug = 2.5;
maxsug = 42.5;
calbar = [200,linspace(mincal,maxcal,W-2),500];
sugbar = [0,linspace(minsug,maxsug,W-2),50];
mincal = 0;
maxcal = 0.003;
minsug = 0;
maxsug = 0.005;
caltax = linspace(mincal,maxcal,W);
sugtax = linspace(minsug,maxsug,W);

simulation_bins = {[1,7,13,19],[2,8,14,20],[3,9,15,21],[4,10,16,22],[5,11,17,23],[6,12,18]};

% SET UP DEMAND AND SUPPLY PARAMETERS
a01_parameters;

% SIMULATIONS
a01_simulations;

output = [];

end

