

disp(' ')

tic;

cost_week = zeros(J,max(week));
price_week = zeros(J,max(week));

for k=1:max(week)
    cost_week(:,k) = extractData(data_product(data_week==k),c_bin(s_bin>0&week_bin==k));
    price_week(:,k) = extractData(data_product(data_week==k),p_bin(s_bin>0&week_bin==k));
end

extracost_perweek = {zeros(J,max(week)),zeros(J,max(week)),zeros(J,max(week)),zeros(J,max(week)),zeros(J,max(week))};
fval_perweek = {zeros(J,max(week)),zeros(J,max(week)),zeros(J,max(week)),zeros(J,max(week)),zeros(J,max(week))};


disp(' ')
disp('NEW PRODUCT')
disp(' ')
disp(['product: ',int2str(j),', expemted: ',int2str(exempted_prod(j))]);
disp(' ')

for b1=1:2
    for b2=1:2
        
        disp(['cal: ',int2str(b1-1)]);
        disp(['sug: ',int2str(b2-1)]);
        disp('finding solution...');
        objFun = @(x) b02_calculateProfits(x,j,b1-1,b2-1,'first');
        
        x0 = 0;
        
        [param,fval] = fminunc(objFun,x0,opts);
        disp(['Parameter: ', num2str(param)])
        disp(['Obj value: ', num2str(fval)])
        
        extracost_perweek{2*(b1-1)+b2}(j,:) = param'; 
        fval_perweek{2*(b1-1)+b2}(j,:) = fval'; 
        
        disp(['Time passed: ', num2str(toc/60), ' minutes.'])
        disp(' ')
    end
end
        disp('last stage');
        disp('finding solution...');
        objFun = @(x) b02_calculateProfits(x,j,0,0,'last');
        
        x0 = 0;
        
        [param,fval] = fminunc(objFun,x0,opts);
        disp(['Parameter: ', num2str(param)])
        disp(['Obj value: ', num2str(fval)])
        
        extracost_perweek{5}(j,:) = param'; 
        fval_perweek{5}(j,:) = fval'; 
        
        disp(['Time passed: ', num2str(toc/60), ' minutes.'])
        disp(' ')

save([path,'00_files/05_counterfactuals/03_robustness/temp/ind_cost_curve_',int2str(rho_value),'_prod_',int2str(j)],'extracost_perweek','fval_perweek')

disp('Output saved.')





