function [E_cal_wide,E_sug_wide] = a05_calculateExpectedw(mu_cal_wide,mu_sug_wide,post_wide,l_cal_wide,l_sug_wide,cal_wide,sug_wide,E_shifter,policy)

global exempted_wide nut_labeled

if strcmp(policy,'no') || strcmp(policy,'tax_equilibrium') || strcmp(policy,'tax_demand')
    E_cal_wide = mu_cal_wide;
    E_sug_wide = mu_sug_wide;
elseif strcmp(policy,'equilibrium') || strcmp(policy,'only_demand') || strcmp(policy,'no_bunching')
    E_cal_wide = mu_cal_wide + (post_wide.*l_cal_wide.*(1-exempted_wide)).*E_shifter{1} + (post_wide.*(1-l_cal_wide).*(1-exempted_wide)).*E_shifter{2};
    E_sug_wide = mu_sug_wide + (post_wide.*l_sug_wide.*(1-exempted_wide)).*E_shifter{3} + (post_wide.*(1-l_sug_wide).*(1-exempted_wide)).*E_shifter{4};
elseif strcmp(policy,'perfect_equilibrium') || strcmp(policy,'perfect_demand') || strcmp(policy,'perfect_no_bunching')
    E_cal_wide = (1-post_wide).*mu_cal_wide + post_wide.*cal_wide;
    E_sug_wide = (1-post_wide).*mu_sug_wide + post_wide.*sug_wide;
end

if strcmp(nut_labeled,'calories')
    E_sug_wide = sug_wide;
elseif strcmp(nut_labeled,'sugar')
    E_cal_wide = cal_wide;
end

E_cal_wide(E_cal_wide<0) = 0;
E_sug_wide(E_sug_wide<0) = 0;

end

