# Replication codes for "Equilibrium Effects of Food Labeling Policies"

## Codes

The script to run the codes that replicate the results of the paper "Equilibrium Effects of Food Labeling Policies" are in `main.sh`. 

All codes were ran in Stanford's server Sherlock using SLURM.

`main.sh` contains 11 different STEPS that need to be submitted sequentially. All codes within the same step can run in paralell.

## Data

The raw data necessary to run the codes are stored in `00_files/01_source/`. Some of the data are protected through non-disclosure agreements. In such cases, the files are missing. In each folder inside `00_files/01_source/` there is a separate `README.md` file indicating the missing datasets and the respective instructions to request them.

Provided you have permission to access the data, you can contact Nano Barahona (nanobk@berkeley.edu). Nano will keep access to the data and can share it with anyone who has the right permission.

## Output

The codes store all figures, tables, and numbers used in the papers in `00_files/06_figures/` and `00_files/07_outputs/`. All other folders store intermediate files used throughout the replication routine.
