# Nutritional data

This folder contains information about the nutritional content of products. The data comes from different sources that we list below

## Self-collected data:

The data with the information collected in the supermarket by taking pictures of the products are provided by us in this folder through the following files:
* Productos_escaneados_3.csv
* nutritional_info_raw.xlsx
* nutrition_cereals_2020.csv
* fixed_obs_field.xlsx
* cereals_2015_other.dta

## data from INTA:

We complement our data with information collected by [INTA](https://inta.cl/). This data is property of INTA. Our point of contact to the data is Camila Corvalán (ccorval@gmail.com). The data-file name is:
* INTA_2015_17.dta

## data from Fatsecret:

We scraped data from www.fatsecret.cl. The data is in the folder under the name:
* 09369_cereals_nutrition_fatsecret.csv


