
clear all
set more off

log using "99_logfiles/c01_splitPanel.log", replace
global dta 	  "00_files/02_intermediate/01_panel"

********************************************************************************
**			SPLIT PANEL INTO SMALLER FILES
********************************************************************************


import delimited "${dta}/02_MasterConsumerPanelData.csv", delimiter(tab) varnames(1) encoding(utf8) clear 

preserve
keep if week<=40
save "${dta}/02a_MasterConsumerPanelData1-40.dta", replace
restore

preserve
keep if week>40 & week<=90
save "${dta}/02b_MasterConsumerPanelData41-90.dta", replace
restore

preserve
keep if week>90
save "${dta}/02c_MasterConsumerPanelData91-152.dta", replace
restore
