/*******************************************************************************
AUTHOR: Nano Barahona
CREATION: Nov-2022
ACTION: Code ingredients used to build price instruments
SUMMARY:

********************************************************************************/

gen corn  = 0
gen wheat = 0
gen oat   = 0
gen rice  = 0
gen cocoa = 0
gen main_ing = ""


*846340	CEREAL AZUCARADO	ACUENTA-392	AZUCARADO
replace corn  = 0.65	if nutrition_id=="846340"
replace wheat = 0		if nutrition_id=="846340"
replace oat   = 0		if nutrition_id=="846340"
replace rice  = 0		if nutrition_id=="846340"
replace cocoa = 0		if nutrition_id=="846340"
replace main_ing = "corn" if nutrition_id=="846340"

*492751	HOJUELAS INTEGRALES	ADELGAZUL-2576	HOJUELAS
replace corn  = 0		if nutrition_id=="492751"
replace wheat = 0.35	if nutrition_id=="492751"
replace oat   = 0		if nutrition_id=="492751"
replace rice  = 0.35	if nutrition_id=="492751"
replace cocoa = 0		if nutrition_id=="492751"
replace main_ing = "wheat & rice" if nutrition_id=="492751"

*492757	FIBRA	ADELGAZUL-2576	HOJUELAS
replace corn  = 0		if nutrition_id=="492757"
replace wheat = 0.73	if nutrition_id=="492757"
replace oat   = 0		if nutrition_id=="492757"
replace rice  = 0		if nutrition_id=="492757"
replace cocoa = 0		if nutrition_id=="492757"
replace main_ing = "wheat" if nutrition_id=="492757"

*492763	FIBRA Y HOJUELAS CON FRUTA	ADELGAZUL-2576	HOJUELAS
replace corn  = 0.15	if nutrition_id=="492763"
replace wheat = 0.51	if nutrition_id=="492763"
replace oat   = 0		if nutrition_id=="492763"
replace rice  = 0		if nutrition_id=="492763"
replace cocoa = 0		if nutrition_id=="492763"
replace main_ing = "wheat" if nutrition_id=="492763"

*279037	MINI PILLOWS	COLA CAO-2798	CHOCOLATE
replace corn  = 0		if nutrition_id=="279037"
replace wheat = 0.3		if nutrition_id=="279037"
replace oat   = 0		if nutrition_id=="279037"
replace rice  = 0.14	if nutrition_id=="279037"
replace cocoa = 0.3		if nutrition_id=="279037"
replace main_ing = "wheat" if nutrition_id=="279037"

*5187	PILLOWS	COLA CAO-2798	CHOCOLATE
replace corn  = 0		if nutrition_id=="5187"
replace wheat = 0.25	if nutrition_id=="5187"
replace oat   = 0		if nutrition_id=="5187"
replace rice  = 0.12	if nutrition_id=="5187"
replace cocoa = 0.45	if nutrition_id=="5187"
replace main_ing = "wheat" if nutrition_id=="5187"

*272768	MONO BALLS	COSTA-205	CHOCOLATE
replace corn  = 0.27	if nutrition_id=="272768"
replace wheat = 0.26	if nutrition_id=="272768"
replace oat   = 0		if nutrition_id=="272768"
replace rice  = 0.01	if nutrition_id=="272768"
replace cocoa = 0.05	if nutrition_id=="272768"
replace main_ing = "corn & wheat" if nutrition_id=="272768"

*381128	MONO ROLLS	COSTA-205	CHOCOLATE
replace corn  = 0.23	if nutrition_id=="381128"
replace wheat = 0.25	if nutrition_id=="381128"
replace oat   = 0		if nutrition_id=="381128"
replace rice  = 0.06	if nutrition_id=="381128"
replace cocoa = 0.06	if nutrition_id=="381128"
replace main_ing = "corn & wheat" if nutrition_id=="381128"

*665323	MONO CHOC	COSTA-205	CHOCOLATE
replace corn  = 0.15	if nutrition_id=="665323"
replace wheat = 0.34	if nutrition_id=="665323"
replace oat   = 0		if nutrition_id=="665323"
replace rice  = 0.13	if nutrition_id=="665323"
replace cocoa = 0.07	if nutrition_id=="665323"
replace main_ing = "wheat" if nutrition_id=="665323"

*760960	BOLITAS DE CHOCOLATE	EN LINEA-7541	CHOCOLATE
replace corn  = 0.55	if nutrition_id=="760960"
replace wheat = 0.07	if nutrition_id=="760960"
replace oat   = 0		if nutrition_id=="760960"
replace rice  = 0		if nutrition_id=="760960"
replace cocoa = 0.06	if nutrition_id=="760960"
replace main_ing = "corn" if nutrition_id=="760960"

*764989	HOJUELAS SABOR CHOCOLATE	EN LINEA-7541	CHOCOLATE
replace corn  = 0.49	if nutrition_id=="764989"
replace wheat = 0.23	if nutrition_id=="764989"
replace oat   = 0		if nutrition_id=="764989"
replace rice  = 0		if nutrition_id=="764989"
replace cocoa = 0.08	if nutrition_id=="764989"
replace main_ing = "corn" if nutrition_id=="764989"

*848728	HOJUELAS DE MAIZ ENDULZADAS KIDS	EN LINEA-7541	AZUCARADO
replace corn  = 0		if nutrition_id=="848728"
replace wheat = 0.64	if nutrition_id=="848728"
replace oat   = 0		if nutrition_id=="848728"
replace rice  = 0		if nutrition_id=="848728"
replace cocoa = 0		if nutrition_id=="848728"
replace main_ing = "wheat" if nutrition_id=="848728"

*887450	CEREAL SABOR FRUTAL KIDS	EN LINEA-7541	AZUCARADO
replace corn  = 0		if nutrition_id=="887450"
replace wheat = 0.65	if nutrition_id=="887450"
replace oat   = 0		if nutrition_id=="887450"
replace rice  = 0		if nutrition_id=="887450"
replace cocoa = 0		if nutrition_id=="887450"
replace main_ing = "wheat" if nutrition_id=="887450"

*674362	GRANOLA ZERO AZUCAR	GRANVITA-8143	GRANOLA
replace corn  = 0.10	if nutrition_id=="674362"
replace wheat = 0.08	if nutrition_id=="674362"
replace oat   = 0.32	if nutrition_id=="674362"
replace rice  = 0		if nutrition_id=="674362"
replace cocoa = 0.06	if nutrition_id=="674362"
replace main_ing = "oat" if nutrition_id=="674362"

*674364	GRANOLA ZERO AZUCAR ARANDANO	GRANVITA-8143	GRANOLA
replace corn  = 0.10	if nutrition_id=="674364"
replace wheat = 0.08	if nutrition_id=="674364"
replace oat   = 0.32	if nutrition_id=="674364"
replace rice  = 0		if nutrition_id=="674364"
replace cocoa = 0		if nutrition_id=="674364"
replace main_ing = "oat" if nutrition_id=="674364"

*884044	COCOA CRISPY RICE	GREAT VALUE-799	CHOCOLATE
replace corn  = 0		if nutrition_id=="884044"
replace wheat = 0		if nutrition_id=="884044"
replace oat   = 0		if nutrition_id=="884044"
replace rice  = 0.8		if nutrition_id=="884044"
replace cocoa = 0.08	if nutrition_id=="884044"
replace main_ing = "rice" if nutrition_id=="884044"

*884046	HONEY NUT TOASTED OAT	GREAT VALUE-799	AZUCARADO
replace corn  = 0.29	if nutrition_id=="884046"
replace wheat = 0.21	if nutrition_id=="884046"
replace oat   = 0.08	if nutrition_id=="884046"
replace rice  = 0.16	if nutrition_id=="884046"
replace cocoa = 00		if nutrition_id=="884046"
replace main_ing = "corn & wheat" if nutrition_id=="884046"

*884050	CORN FLAKES	GREAT VALUE-799	HOJUELAS
replace corn  = 0.96	if nutrition_id=="884050"
replace wheat = 0		if nutrition_id=="884050"
replace oat   = 0		if nutrition_id=="884050"
replace rice  = 0		if nutrition_id=="884050"
replace cocoa = 0		if nutrition_id=="884050"
replace main_ing = "corn" if nutrition_id=="884050"

*268222	ZUCARITAS	KELLOGGS-241	AZUCARADO
replace corn  = 0.65	if nutrition_id=="268222"
replace wheat = 0		if nutrition_id=="268222"
replace oat   = 0		if nutrition_id=="268222"
replace rice  = 0		if nutrition_id=="268222"
replace cocoa = 0		if nutrition_id=="268222"
replace main_ing = "corn" if nutrition_id=="268222"

*2759	FROOT LOOPS	KELLOGGS-241	AZUCARADO
replace corn  = 0.4		if nutrition_id=="2759"
replace wheat = 0.1		if nutrition_id=="2759"
replace oat   = 0.13	if nutrition_id=="2759"
replace rice  = 0		if nutrition_id=="2759"
replace cocoa = 0		if nutrition_id=="2759"
replace main_ing = "corn" if nutrition_id=="2759"

*289853	CHOCO KRISPIS	KELLOGGS-241	CHOCOLATE
replace corn  = 0		if nutrition_id=="289853"
replace wheat = 0		if nutrition_id=="289853"
replace oat   = 0		if nutrition_id=="289853"
replace rice  = 0.8		if nutrition_id=="289853"
replace cocoa = 0.08	if nutrition_id=="289853"
replace main_ing = "rice" if nutrition_id=="289853"

*289891	CHOCO ZUCARITAS	KELLOGGS-241	CHOCOLATE
replace corn  = 0.65	if nutrition_id=="289891"
replace wheat = 0		if nutrition_id=="289891"
replace oat   = 0		if nutrition_id=="289891"
replace rice  = 0		if nutrition_id=="289891"
replace cocoa = 0.06	if nutrition_id=="289891"
replace main_ing = "corn" if nutrition_id=="289891"

*659387	CORN FLAKES	KELLOGGS-241	HOJUELAS
replace corn  = 0.96	if nutrition_id=="659387"
replace wheat = 0		if nutrition_id=="659387"
replace oat   = 0		if nutrition_id=="659387"
replace rice  = 0		if nutrition_id=="659387"
replace cocoa = 0		if nutrition_id=="659387"
replace main_ing = "corn" if nutrition_id=="659387"

*268258	ENERGY BALL	LIDER-398	CHOCOLATE
replace corn  = 0.04	if nutrition_id=="268258"
replace wheat = 0.40	if nutrition_id=="268258"
replace oat   = 0		if nutrition_id=="268258"
replace rice  = 0		if nutrition_id=="268258"
replace cocoa = 0.04	if nutrition_id=="268258"
replace main_ing = "wheat" if nutrition_id=="268258"

*295955	ATOMICO	LIDER-398	AZUCARADO
replace corn  = 0.74	if nutrition_id=="295955"
replace wheat = 0.13	if nutrition_id=="295955"
replace oat   = 0		if nutrition_id=="295955"
replace rice  = 0		if nutrition_id=="295955"
replace cocoa = 0		if nutrition_id=="295955"
replace main_ing = "corn" if nutrition_id=="295955"

*296189	AVENA INSTANTANEA	LIDER-398	AVENA
replace corn  = 0		if nutrition_id=="296189"
replace wheat = 0		if nutrition_id=="296189"
replace oat   = 1		if nutrition_id=="296189"
replace rice  = 0		if nutrition_id=="296189"
replace cocoa = 0		if nutrition_id=="296189"
replace main_ing = "oat" if nutrition_id=="296189"

*298043	FRUTAL	LIDER-398	AZUCARADO
replace corn  = 0.4		if nutrition_id=="298043"
replace wheat = 0.1		if nutrition_id=="298043"
replace oat   = 0.13	if nutrition_id=="298043"
replace rice  = 0		if nutrition_id=="298043"
replace cocoa = 0		if nutrition_id=="298043"
replace main_ing = "corn" if nutrition_id=="298043"

*300879	AVENA TRADICIONAL	LIDER-398	AVENA
replace corn  = 0		if nutrition_id=="300879"
replace wheat = 0		if nutrition_id=="300879"
replace oat   = 1		if nutrition_id=="300879"
replace rice  = 0		if nutrition_id=="300879"
replace cocoa = 0		if nutrition_id=="300879"
replace main_ing = "oat" if nutrition_id=="300879"

*486384	CORN FLAKES	LIDER-398	HOJUELAS
replace corn  = 0.96	if nutrition_id=="486384"
replace wheat = 0		if nutrition_id=="486384"
replace oat   = 0		if nutrition_id=="486384"
replace rice  = 0		if nutrition_id=="486384"
replace cocoa = 0		if nutrition_id=="486384"
replace main_ing = "corn" if nutrition_id=="486384"

*743410	CHOCOLATADOS	LIDER-398	CHOCOLATE
replace corn  = 0.27	if nutrition_id=="743410"
replace wheat = 0.43	if nutrition_id=="743410"
replace oat   = 0		if nutrition_id=="743410"
replace rice  = 0		if nutrition_id=="743410"
replace cocoa = 0.07	if nutrition_id=="743410"
replace main_ing = "wheat" if nutrition_id=="743410"

*824674	ZUCARADAS	LIDER-398	AZUCARADO
replace corn  = 0.65	if nutrition_id=="824674"
replace wheat = 0		if nutrition_id=="824674"
replace oat   = 0		if nutrition_id=="824674"
replace rice  = 0		if nutrition_id=="824674"
replace cocoa = 0		if nutrition_id=="824674"
replace main_ing = "corn" if nutrition_id=="824674"

*825341	CUADRITOS DE AVENA	LIDER-398	HOJUELAS
replace corn  = 0		if nutrition_id=="825341"
replace wheat = 0.15	if nutrition_id=="825341"
replace oat   = 0.42	if nutrition_id=="825341"
replace rice  = 0		if nutrition_id=="825341"
replace cocoa = 0		if nutrition_id=="825341"
replace main_ing = "oat" if nutrition_id=="825341"

*905891	GRANOLA MIEL Y ALMENDRAS	LIDER-398	GRANOLA
replace corn  = 0		if nutrition_id=="905891"
replace wheat = 0.15	if nutrition_id=="905891"
replace oat   = 0.45	if nutrition_id=="905891"
replace rice  = 0		if nutrition_id=="905891"
replace cocoa = 0		if nutrition_id=="905891"
replace main_ing = "oat" if nutrition_id=="905891"

*905893	GRANOLA PASAS, MIEL Y ALMENDRAS	LIDER-398	GRANOLA
replace corn  = 0		if nutrition_id=="905893"
replace wheat = 0.15	if nutrition_id=="905893"
replace oat   = 0.45	if nutrition_id=="905893"
replace rice  = 0		if nutrition_id=="905893"
replace cocoa = 0		if nutrition_id=="905893"
replace main_ing = "oat" if nutrition_id=="905893"

*906175	CEREAL FIT TRADICION	LIDER-398	HOJUELAS
replace corn  = 0		if nutrition_id=="906175"
replace wheat = 0.12	if nutrition_id=="906175"
replace oat   = 0.52	if nutrition_id=="906175"
replace rice  = 0.01	if nutrition_id=="906175"
replace cocoa = 0		if nutrition_id=="906175"
replace main_ing = "oat" if nutrition_id=="906175"

*906177	CEREAL FIT MIEL & ALMENDRAS	LIDER-398	AZUCARADO
replace corn  = 0		if nutrition_id=="906177"
replace wheat = 0.12	if nutrition_id=="906177"
replace oat   = 0.52	if nutrition_id=="906177"
replace rice  = 0.01	if nutrition_id=="906177"
replace cocoa = 0		if nutrition_id=="906177"
replace main_ing = "oat" if nutrition_id=="906177"

*280715	GOLD	NESTLE-280	HOJUELAS
replace corn  = 0.69	if nutrition_id=="280715"
replace wheat = 0		if nutrition_id=="280715"
replace oat   = 0		if nutrition_id=="280715"
replace rice  = 0		if nutrition_id=="280715"
replace cocoa = 0		if nutrition_id=="280715"
replace main_ing = "corn" if nutrition_id=="280715"

*282821	FITNESS	NESTLE-280	HOJUELAS
replace corn  = 0.18	if nutrition_id=="282821"
replace wheat = 0.44	if nutrition_id=="282821"
replace oat   = 0		if nutrition_id=="282821"
replace rice  = 0.24	if nutrition_id=="282821"
replace cocoa = 0		if nutrition_id=="282821"
replace main_ing = "wheat" if nutrition_id=="282821"

*3239	ESTRELLITAS	NESTLE-280	AZUCARADO
replace corn  = 0.74	if nutrition_id=="3239"
replace wheat = 0.13	if nutrition_id=="3239"
replace oat   = 0		if nutrition_id=="3239"
replace rice  = 0		if nutrition_id=="3239"
replace cocoa = 0		if nutrition_id=="3239"
replace main_ing = "corn" if nutrition_id=="3239"

*377499	CHOCAPIC TROCITOS	NESTLE-280	CHOCOLATE
replace corn  = 0.20	if nutrition_id=="377499"
replace wheat = 0.42	if nutrition_id=="377499"
replace oat   = 0		if nutrition_id=="377499"
replace rice  = 0.03	if nutrition_id=="377499"
replace cocoa = 0.06	if nutrition_id=="377499"
replace main_ing = "wheat" if nutrition_id=="377499"

*526568	CHEERIOS	NESTLE-280	AZUCARADO
replace corn  = 0.29	if nutrition_id=="526568"
replace wheat = 0.21	if nutrition_id=="526568"
replace oat   = 0.08	if nutrition_id=="526568"
replace rice  = 0.16	if nutrition_id=="526568"
replace cocoa = 0		if nutrition_id=="526568"
replace main_ing = "corn & wheat" if nutrition_id=="526568"

*707185	ZUCOSOS	NESTLE-280	AZUCARADO
replace corn  = 0.65	if nutrition_id=="707185"
replace wheat = 0		if nutrition_id=="707185"
replace oat   = 0		if nutrition_id=="707185"
replace rice  = 0		if nutrition_id=="707185"
replace cocoa = 0		if nutrition_id=="707185"
replace main_ing = "corn" if nutrition_id=="707185"

*765041	AVENA Y MAS HOJUELAS PASAS	NESTLE-280	HOJUELAS
replace corn  = 0		if nutrition_id=="765041"
replace wheat = 0.31	if nutrition_id=="765041"
replace oat   = 0.41	if nutrition_id=="765041"
replace rice  = 0.01	if nutrition_id=="765041"
replace cocoa = 0		if nutrition_id=="765041"
replace main_ing = "oat" if nutrition_id=="765041"

*765045	AVENA Y MAS HOJUELAS ALMENDRAS	NESTLE-280	HOJUELAS
replace corn  = 0		if nutrition_id=="765045"
replace wheat = 0.32	if nutrition_id=="765045"
replace oat   = 0.42	if nutrition_id=="765045"
replace rice  = 0.01	if nutrition_id=="765045"
replace cocoa = 0		if nutrition_id=="765045"
replace main_ing = "oat" if nutrition_id=="765045"

*859622	FITNESS GRANOLA HONEY	NESTLE-280	GRANOLA
replace corn  = 0		if nutrition_id=="859622"
replace wheat = 0.15	if nutrition_id=="859622"
replace oat   = 0.45	if nutrition_id=="859622"
replace rice  = 0		if nutrition_id=="859622"
replace cocoa = 0		if nutrition_id=="859622"
replace main_ing = "oat" if nutrition_id=="859622"

*859624	FITNESS GRANOLA CRANBERRY	NESTLE-280	GRANOLA
replace corn  = 0		if nutrition_id=="859624"
replace wheat = 0.15	if nutrition_id=="859624"
replace oat   = 0.45	if nutrition_id=="859624"
replace rice  = 0		if nutrition_id=="859624"
replace cocoa = 0		if nutrition_id=="859624"
replace main_ing = "oat" if nutrition_id=="859624"

*859626	CHOCAPIC GRANOLA	NESTLE-280	GRANOLA
replace corn  = 0		if nutrition_id=="859626"
replace wheat = 0.15	if nutrition_id=="859626"
replace oat   = 0.45	if nutrition_id=="859626"
replace rice  = 0		if nutrition_id=="859626"
replace cocoa = 0.06	if nutrition_id=="859626"
replace main_ing = "oat" if nutrition_id=="859626"

*874678	CORN FLAKES	NESTLE-280	HOJUELAS
replace corn  = 0.96	if nutrition_id=="874678"
replace wheat = 0		if nutrition_id=="874678"
replace oat   = 0		if nutrition_id=="874678"
replace rice  = 0		if nutrition_id=="874678"
replace cocoa = 0		if nutrition_id=="874678"
replace main_ing = "corn" if nutrition_id=="874678"

*887474	AVENA Y MAS MULTIMIX	NESTLE-280	HOJUELAS
replace corn  = 0		if nutrition_id=="887474"
replace wheat = 0.31	if nutrition_id=="887474"
replace oat   = 0.42	if nutrition_id=="887474"
replace rice  = 0.01	if nutrition_id=="887474"
replace cocoa = 0		if nutrition_id=="887474"
replace main_ing = "oat" if nutrition_id=="887474"

*898082	TRIX	NESTLE-280	AZUCARADO
replace corn  = 0.53	if nutrition_id=="898082"
replace wheat = 0		if nutrition_id=="898082"
replace oat   = 0		if nutrition_id=="898082"
replace rice  = 0		if nutrition_id=="898082"
replace cocoa = 0		if nutrition_id=="898082"
replace main_ing = "corn" if nutrition_id=="898082"

*901216	FITNESS MIEL & ALMENDRAS	NESTLE-280	AZUCARADO
replace corn  = 0.14	if nutrition_id=="901216"
replace wheat = 0.35	if nutrition_id=="901216"
replace oat   = 0		if nutrition_id=="901216"
replace rice  = 0.19	if nutrition_id=="901216"
replace cocoa = 0		if nutrition_id=="901216"
replace main_ing = "wheat" if nutrition_id=="901216"

*901218	FITNESS FRUITS	NESTLE-280	AZUCARADO
replace corn  = 0.14	if nutrition_id=="901218"
replace wheat = 0.33	if nutrition_id=="901218"
replace oat   = 0		if nutrition_id=="901218"
replace rice  = 0.18	if nutrition_id=="901218"
replace cocoa = 0		if nutrition_id=="901218"
replace main_ing = "wheat" if nutrition_id=="901218"

*905465	AVENA Y MAS COOL MIX CACAO	NESTLE-280	CHOCOLATE
replace corn  = 0		if nutrition_id=="905465"
replace wheat = 0.31	if nutrition_id=="905465"
replace oat   = 0.42	if nutrition_id=="905465"
replace rice  = 0.01	if nutrition_id=="905465"
replace cocoa = 0.05	if nutrition_id=="905465"
replace main_ing = "oat" if nutrition_id=="905465"

*905467	AVENA Y MAS COOL MIX MIEL	NESTLE-280	AZUCARADO
replace corn  = 0		if nutrition_id=="905467"
replace wheat = 0.31	if nutrition_id=="905467"
replace oat   = 0.42	if nutrition_id=="905467"
replace rice  = 0.01	if nutrition_id=="905467"
replace cocoa = 0		if nutrition_id=="905467"
replace main_ing = "oat" if nutrition_id=="905467"

*910015	CHOCAPIC	NESTLE-280	CHOCOLATE
replace corn  = 0.27	if nutrition_id=="910015"
replace wheat = 0.43	if nutrition_id=="910015"
replace oat   = 0		if nutrition_id=="910015"
replace rice  = 0		if nutrition_id=="910015"
replace cocoa = 0.07	if nutrition_id=="910015"
replace main_ing = "wheat" if nutrition_id=="910015"

*913552	MILO	NESTLE-280	CHOCOLATE
replace corn  = 0.04	if nutrition_id=="913552"
replace wheat = 0.40	if nutrition_id=="913552"
replace oat   = 0		if nutrition_id=="913552"
replace rice  = 0		if nutrition_id=="913552"
replace cocoa = 0.04	if nutrition_id=="913552"
replace main_ing = "wheat" if nutrition_id=="913552"

*915380	FITNESS CHOCOLATE	NESTLE-280	CHOCOLATE
replace corn  = 0.14	if nutrition_id=="915380"
replace wheat = 0.34	if nutrition_id=="915380"
replace oat   = 0		if nutrition_id=="915380"
replace rice  = 0.18	if nutrition_id=="915380"
replace cocoa = 0.17	if nutrition_id=="915380"
replace main_ing = "wheat" if nutrition_id=="915380"

*915382	FITNESS YOGHURT	NESTLE-280	AZUCARADO
replace corn  = 0.18	if nutrition_id=="915382"
replace wheat = 0.44	if nutrition_id=="915382"
replace oat   = 0		if nutrition_id=="915382"
replace rice  = 0.24	if nutrition_id=="915382"
replace cocoa = 0		if nutrition_id=="915382"
replace main_ing = "wheat" if nutrition_id=="915382"

*2595	GRANOLA MIEL Y PASAS	QUAKER-215	GRANOLA
replace corn  = 0		if nutrition_id=="2595"
replace wheat = 0.15	if nutrition_id=="2595"
replace oat   = 0.45	if nutrition_id=="2595"
replace rice  = 0		if nutrition_id=="2595"
replace cocoa = 0		if nutrition_id=="2595"
replace main_ing = "oat" if nutrition_id=="2595"

*2769	AVENA INSTANTANEA	QUAKER-215	AVENA
replace corn  = 0		if nutrition_id=="2769"
replace wheat = 0		if nutrition_id=="2769"
replace oat   = 1		if nutrition_id=="2769"
replace rice  = 0		if nutrition_id=="2769"
replace cocoa = 0		if nutrition_id=="2769"
replace main_ing = "oat" if nutrition_id=="2769"

*296899	AVENA TRADICIONAL	QUAKER-215	AVENA
replace corn  = 0		if nutrition_id=="296899"
replace wheat = 0		if nutrition_id=="296899"
replace oat   = 1		if nutrition_id=="296899"
replace rice  = 0		if nutrition_id=="296899"
replace cocoa = 0		if nutrition_id=="296899"
replace main_ing = "oat" if nutrition_id=="296899"

*770898	QUADRITOS CANELA	QUAKER-215	AZUCARADO
replace corn  = 0		if nutrition_id=="770898"
replace wheat = 0.15	if nutrition_id=="770898"
replace oat   = 0.42	if nutrition_id=="770898"
replace rice  = 0		if nutrition_id=="770898"
replace cocoa = 0		if nutrition_id=="770898"
replace main_ing = "oat" if nutrition_id=="770898"

*770902	QUADRITOS CHOC Y ALM	QUAKER-215	CHOCOLATE
replace corn  = 0		if nutrition_id=="770902"
replace wheat = 0.15	if nutrition_id=="770902"
replace oat   = 0.42	if nutrition_id=="770902"
replace rice  = 0		if nutrition_id=="770902"
replace cocoa = 0.04	if nutrition_id=="770902"
replace main_ing = "oat" if nutrition_id=="770902"

*770904	GRANOLA MIEL Y ALMENDRAS	QUAKER-215	GRANOLA
replace corn  = 0		if nutrition_id=="770904"
replace wheat = 0.15	if nutrition_id=="770904"
replace oat   = 0.45	if nutrition_id=="770904"
replace rice  = 0		if nutrition_id=="770904"
replace cocoa = 0		if nutrition_id=="770904"
replace main_ing = "oat" if nutrition_id=="770904"

*845912	QUADRITOS YOGURT	QUAKER-215	AZUCARADO
replace corn  = 0		if nutrition_id=="845912"
replace wheat = 0.15	if nutrition_id=="845912"
replace oat   = 0.42	if nutrition_id=="845912"
replace rice  = 0		if nutrition_id=="845912"
replace cocoa = 0		if nutrition_id=="845912"
replace main_ing = "oat" if nutrition_id=="845912"

*845914	AVENA MULTISEMILLAS MANZANA Y PASAS	QUAKER-215	AVENA
replace corn  = 0		if nutrition_id=="845914"
replace wheat = 0		if nutrition_id=="845914"
replace oat   = 0.8		if nutrition_id=="845914"
replace rice  = 0		if nutrition_id=="845914"
replace cocoa = 0		if nutrition_id=="845914"
replace main_ing = "oat" if nutrition_id=="845914"

*887472	AVENA MULTISEMILLAS CHIA LINAZA	QUAKER-215	AVENA
replace corn  = 0		if nutrition_id=="887472"
replace wheat = 0		if nutrition_id=="887472"
replace oat   = 0.8		if nutrition_id=="887472"
replace rice  = 0		if nutrition_id=="887472"
replace cocoa = 0		if nutrition_id=="887472"
replace main_ing = "oat" if nutrition_id=="887472"

*903781	HEARTS	QUAKER-215	HOJUELAS
replace corn  = 0		if nutrition_id=="903781"
replace wheat = 0		if nutrition_id=="903781"
replace oat   = 0.52	if nutrition_id=="903781"
replace rice  = 0		if nutrition_id=="903781"
replace cocoa = 0		if nutrition_id=="903781"
replace main_ing = "oat" if nutrition_id=="903781"

*903783	QUADRITOS	QUAKER-215	HOJUELAS
replace corn  = 0		if nutrition_id=="903783"
replace wheat = 0.15	if nutrition_id=="903783"
replace oat   = 0.42	if nutrition_id=="903783"
replace rice  = 0		if nutrition_id=="903783"
replace cocoa = 0		if nutrition_id=="903783"
replace main_ing = "oat" if nutrition_id=="903783"

*913856	AVENA MULTISEMILLAS	QUAKER-215	AVENA
replace corn  = 0		if nutrition_id=="913856"
replace wheat = 0		if nutrition_id=="913856"
replace oat   = 0.8		if nutrition_id=="913856"
replace rice  = 0		if nutrition_id=="913856"
replace cocoa = 0		if nutrition_id=="913856"
replace main_ing = "oat" if nutrition_id=="913856"

*294455	MIX BERRIES	SELECCION-449	GRANOLA
replace corn  = 0		if nutrition_id=="294455"
replace wheat = 0.15	if nutrition_id=="294455"
replace oat   = 0.45	if nutrition_id=="294455"
replace rice  = 0		if nutrition_id=="294455"
replace cocoa = 0		if nutrition_id=="294455"
replace main_ing = "oat" if nutrition_id=="294455"

*838198	GRANOLA BAJO EN GRASAS	SELECTA-207	GRANOLA
replace corn  = 0		if nutrition_id=="838198"
replace wheat = 0		if nutrition_id=="838198"
replace oat   = 0.50	if nutrition_id=="838198"
replace rice  = 0.05	if nutrition_id=="838198"
replace cocoa = 0		if nutrition_id=="838198"
replace main_ing = "oat" if nutrition_id=="838198"

*838200	GRANOLA TRADICIONAL	SELECTA-207	GRANOLA
replace corn  = 0		if nutrition_id=="838200"
replace wheat = 0		if nutrition_id=="838200"
replace oat   = 0.58	if nutrition_id=="838200"
replace rice  = 0		if nutrition_id=="838200"
replace cocoa = 0		if nutrition_id=="838200"
replace main_ing = "oat" if nutrition_id=="838200"

*859630	GRANOLA CHOCOLATE	SELECTA-207	GRANOLA
replace corn  = 0		if nutrition_id=="859630"
replace wheat = 0		if nutrition_id=="859630"
replace oat   = 0.58	if nutrition_id=="859630"
replace rice  = 0		if nutrition_id=="859630"
replace cocoa = 0.04	if nutrition_id=="859630"
replace main_ing = "oat" if nutrition_id=="859630"

*503786	BRUNCH FRUTOS ROJOS	VIVO-412	GRANOLA
replace corn  = 0.38	if nutrition_id=="503786"
replace wheat = 0.06	if nutrition_id=="503786"
replace oat   = 0.13	if nutrition_id=="503786"
replace rice  = 0.11	if nutrition_id=="503786"
replace cocoa = 0		if nutrition_id=="503786"
replace main_ing = "corn" if nutrition_id=="503786"

*594017	GRANOLA CACAO	VIVO-412	GRANOLA
replace corn  = 0		if nutrition_id=="594017"
replace wheat = 0.15	if nutrition_id=="594017"
replace oat   = 0.45	if nutrition_id=="594017"
replace rice  = 0		if nutrition_id=="594017"
replace cocoa = 0.03	if nutrition_id=="594017"
replace main_ing = "oat" if nutrition_id=="594017"

*699930	MUESLI 5 CEREALES	VIVO-412	GRANOLA
replace corn  = 0.02	if nutrition_id=="699930"
replace wheat = 0.45	if nutrition_id=="699930"
replace oat   = 0.3		if nutrition_id=="699930"
replace rice  = 0		if nutrition_id=="699930"
replace cocoa = 0.01	if nutrition_id=="699930"
replace main_ing = "wheat" if nutrition_id=="699930"

*699932	MUESLI CACAO	VIVO-412	GRANOLA
replace corn  = 0.02	if nutrition_id=="699932"
replace wheat = 0.46	if nutrition_id=="699932"
replace oat   = 0.3		if nutrition_id=="699932"
replace rice  = 0		if nutrition_id=="699932"
replace cocoa = 0.04	if nutrition_id=="699932"
replace main_ing = "wheat" if nutrition_id=="699932"

*822106	LINE YOGURT	VIVO-412	AZUCARADO
replace corn  = 0.37	if nutrition_id=="822106"
replace wheat = 0.11	if nutrition_id=="822106"
replace oat   = 0		if nutrition_id=="822106"
replace rice  = 0.19	if nutrition_id=="822106"
replace cocoa = 0		if nutrition_id=="822106"
replace main_ing = "corn" if nutrition_id=="822106"

*822108	LINE 0% AZUCAR	VIVO-412	HOJUELAS
replace corn  = 0.39	if nutrition_id=="822108"
replace wheat = 0		if nutrition_id=="822108"
replace oat   = 0.12	if nutrition_id=="822108"
replace rice  = 0.2		if nutrition_id=="822108"
replace cocoa = 0		if nutrition_id=="822108"
replace main_ing = "corn" if nutrition_id=="822108"

*822110	LINE BERRIES	VIVO-412	AZUCARADO
replace corn  = 0.36	if nutrition_id=="822110"
replace wheat = 0.11	if nutrition_id=="822110"
replace oat   = 0		if nutrition_id=="822110"
replace rice  = 0.19	if nutrition_id=="822110"
replace cocoa = 0		if nutrition_id=="822110"
replace main_ing = "corn" if nutrition_id=="822110"

*823263	AVENA QUINOA	VIVO-412	AVENA
replace corn  = 0		if nutrition_id=="823263"
replace wheat = 0		if nutrition_id=="823263"
replace oat   = 0.4		if nutrition_id=="823263"
replace rice  = 0		if nutrition_id=="823263"
replace cocoa = 0		if nutrition_id=="823263"
replace main_ing = "oat" if nutrition_id=="823263"

*824652	CHECK YOGHURT	VIVO-412	AZUCARADO
replace corn  = 0.07	if nutrition_id=="824652"
replace wheat = 0.17	if nutrition_id=="824652"
replace oat   = 0.4		if nutrition_id=="824652"
replace rice  = 0		if nutrition_id=="824652"
replace cocoa = 0		if nutrition_id=="824652"
replace main_ing = "oat" if nutrition_id=="824652"

*826085	AVENA CLUSTERS BERRIES	VIVO-412	GRANOLA
replace corn  = 0		if nutrition_id=="826085"
replace wheat = 0.15	if nutrition_id=="826085"
replace oat   = 0.45	if nutrition_id=="826085"
replace rice  = 0		if nutrition_id=="826085"
replace cocoa = 0		if nutrition_id=="826085"
replace main_ing = "oat" if nutrition_id=="826085"

*834055	CHECK 3 CEREALES	VIVO-412	HOJUELAS
replace corn  = 0.07	if nutrition_id=="834055"
replace wheat = 0.17	if nutrition_id=="834055"
replace oat   = 0.4		if nutrition_id=="834055"
replace rice  = 0		if nutrition_id=="834055"
replace cocoa = 0		if nutrition_id=="834055"
replace main_ing = "oat" if nutrition_id=="834055"

*834057	CHECK CACAO	VIVO-412	CHOCOLATE
replace corn  = 0.00	if nutrition_id=="834057"
replace wheat = 0.15	if nutrition_id=="834057"
replace oat   = 0.32	if nutrition_id=="834057"
replace rice  = 0		if nutrition_id=="834057"
replace cocoa = 0.04	if nutrition_id=="834057"
replace main_ing = "oat" if nutrition_id=="834057"

*834063	GRANOLA BERRIES	VIVO-412	GRANOLA
replace corn  = 0		if nutrition_id=="834063"
replace wheat = 0.15	if nutrition_id=="834063"
replace oat   = 0.45	if nutrition_id=="834063"
replace rice  = 0		if nutrition_id=="834063"
replace cocoa = 0		if nutrition_id=="834063"
replace main_ing = "oat" if nutrition_id=="834063"

*834065	GRANOLA MIEL & ALMENDRAS	VIVO-412	GRANOLA
replace corn  = 0		if nutrition_id=="834065"
replace wheat = 0.15	if nutrition_id=="834065"
replace oat   = 0.45	if nutrition_id=="834065"
replace rice  = 0		if nutrition_id=="834065"
replace cocoa = 0		if nutrition_id=="834065"
replace main_ing = "oat" if nutrition_id=="834065"

*838202	AVENA 4 SEMILLAS	VIVO-412	AVENA
replace corn  = 0		if nutrition_id=="838202"
replace wheat = 0		if nutrition_id=="838202"
replace oat   = 0.9		if nutrition_id=="838202"
replace rice  = 0		if nutrition_id=="838202"
replace cocoa = 0		if nutrition_id=="838202"
replace main_ing = "oat" if nutrition_id=="838202"

*849727	AVENA INSTANTANEA	VIVO-412	AVENA
replace corn  = 0		if nutrition_id=="849727"
replace wheat = 0		if nutrition_id=="849727"
replace oat   = 1		if nutrition_id=="849727"
replace rice  = 0		if nutrition_id=="849727"
replace cocoa = 0		if nutrition_id=="849727"
replace main_ing = "oat" if nutrition_id=="849727"

*859628	AVENA 4 SEMILLAS + BERRIES	VIVO-412	AVENA
replace corn  = 0		if nutrition_id=="859628"
replace wheat = 0		if nutrition_id=="859628"
replace oat   = 0.9		if nutrition_id=="859628"
replace rice  = 0		if nutrition_id=="859628"
replace cocoa = 0		if nutrition_id=="859628"
replace main_ing = "oat" if nutrition_id=="859628"

*859632	MUESLI QUINOA & BERRIES	VIVO-412	GRANOLA
replace corn  = 0.02	if nutrition_id=="859632"
replace wheat = 0.46	if nutrition_id=="859632"
replace oat   = 0.3		if nutrition_id=="859632"
replace rice  = 0		if nutrition_id=="859632"
replace cocoa = 0		if nutrition_id=="859632"
replace main_ing = "wheat" if nutrition_id=="859632"

*905852	GOOD CHOCOLATE	VIVO-412	CHOCOLATE
replace corn  = 0.37	if nutrition_id=="905852"
replace wheat = 0.15	if nutrition_id=="905852"
replace oat   = 0.13	if nutrition_id=="905852"
replace rice  = 0		if nutrition_id=="905852"
replace cocoa = 0.05	if nutrition_id=="905852"
replace main_ing = "corn" if nutrition_id=="905852"

*905854	GOOD FRUTAL	VIVO-412	AZUCARADO
replace corn  = 0.37	if nutrition_id=="905854"
replace wheat = 0.15	if nutrition_id=="905854"
replace oat   = 0.13	if nutrition_id=="905854"
replace rice  = 0		if nutrition_id=="905854"
replace cocoa = 0		if nutrition_id=="905854"
replace main_ing = "corn" if nutrition_id=="905854"





























