function [delta, niter] = a05_DeltaContraction(observed_shares, mu, rho, delta_0, maxiters, delta_tol)

i = 0;
delta_dist_max = delta_tol * 10;
while (delta_dist_max > delta_tol && i<maxiters)
    market_shares = a08_ComputeMarketShare(delta_0, mu,rho);
    delta_dist = (1-rho)*(log(observed_shares)-log(market_shares));
    delta = delta_0 + delta_dist;
    delta_dist_max = mean(abs(delta_dist));
    delta_0 = delta;
    i = i + 1;
end

niter = i;

end