
%% main sript

function [output] = a00_main(iter, nutrient_counterfactual)

path = '../../';
addpath([path,'04_counterfactuals/01_policyEvaluation/'])
addpath([path,'04_counterfactuals/98_simulation_codes/'])
addpath([path,'04_counterfactuals/99_functions/'])

global J M N nu_cal nu_sug p_ori_wide post_wide cal_wide exempted_wide sug_wide mu_cal_wide sigmamu_cal_wide mu_sug_wide sigmamu_sug_wide minerror c_wide ...
       minerror_final maxIter exempted product c Lambda C market_size_bins portion_size_bins week_product post market market_bin alpha Lambda_cal Lambda_sug nut_labeled price_nointervention xi_sum ...
       beta0 alpha_wide phi_cal_wide phi_sug_wide rho_wide xi_j_wide xi_t_wide xi_s_wide xi_wide firm_wide market_wide firm_structure  weights_wide exemption_mode ...
       rho market_ind market_size_wide portion_size_wide week_wide data_product product_wide week_firm beta0_wide beta_fine_wide nu_prod exepmted_prod smoot_vars

rng(iter)

warning('off','MATLAB:nearlySingularMatrix')

nut_labeled = nutrient_counterfactual; %calories/sugar/both
smoot_vars = "no";
exemption_mode = 'yes';

% SET UP DEMAND AND SUPPLY PARAMETERS
a01_parameters;

% SIMULATIONS
a01_simulations;

output = [];

end



