
%% CALCULATE WELFARE

function [CS,CS_bias] = a08_welfare(u,u_true,s_wide)

global J alpha_wide rho_wide 

difu = u_true-u;
difu(isnan(difu)) = 0;

temp = sum(exp(u(:,1:J)./(1-rho_wide(:,1:J))),2);
sum_D = 1+temp.^(1-rho_wide(:,1));

CS = expand((log(sum_D)+sum(s_wide.*difu,2))./alpha_wide(:,1),[J,1]);

CS_bias = expand((sum(s_wide.*difu,2))./alpha_wide(:,1),[J,1]);

end


